package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import com.ekexiu.portal.po.ArticlePro;

@DAO
public abstract class ArticleProDao {
	@Insert
	public abstract int insert(Connection con, ArticlePro articlePro) throws SQLException;

//	@QueryVal
//	@From(ArticlePro.class)
//	@Column(handlerClass = IntHandler.class, value = "COUNT(1)")
//	@DefaultValue("0")
//	public abstract int queryByArticleId(Connection con, String articleId) throws SQLException;

	@SelectList
	public abstract List<ArticlePro> query(Connection con, String articleId) throws SQLException;
	
	@DeleteWith
	@From(ArticlePro.class)
	public abstract int delete(Connection con, String articleId) throws SQLException;
	@SelectList
	public abstract List<ArticlePro> queryByProfessorId(Connection con,String professorId) throws SQLException;

}
