package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;

import com.ekexiu.portal.po.OperateServiceLog;

@DAO
public abstract class OperateServiceLogDao {
	@Insert
	public abstract int insert(Connection con,OperateServiceLog serviceLog)throws SQLException;
	
	@SelectOne
	@Nullable
	public abstract OperateServiceLog queryOne(Connection con,String serviceLogId)throws SQLException;
	
	@SelectList
	@OrderBy("ORDER BY CREATE_TIME DESC")
	public abstract List<OperateServiceLog> queryByServiceUser(Connection con,String serviceUser)throws SQLException;
}
