package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.LimitSelect;

import com.ekexiu.portal.po.ResourceTmpLog;

@DAO
public abstract class ResourceTmpLogDao {
	@Insert
	public abstract int insert(Connection con,ResourceTmpLog log)throws SQLException;
	
	@LimitSelect
	@OrderBy("ORDER BY CREATE_TIME")
	public abstract List<ResourceTmpLog> query(Connection con,String ownerId,String resourceTmpId,int rows)throws SQLException;
}
