package com.ekexiu.portal.platform;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;
/**
 * 平台
 * @author Saga
 *
 */
@PrimaryKey("id")
@Table
public class PlatformOrg implements CreateTimeSupported {
	/**
	 * id
	 */
	private String id;
	/**
	 * 平台ID
	 */
	private String pid;
	private String logo;
	private String name;
	private String email;
	private String addr;
	private String linkman;
	private String linkphone;
	private String industry;
	private String descp;
	private String createTime;
	@Column(DE.text_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getPid() {
		return pid;
	}
	@Column(DE.text_de)
	public void setPid(String pid) {
		this.pid = pid;
	}
	@Column(DE.text_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.text_de)
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	@Column(DE.Text_de)
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	@Column(DE.Text_de)
	public String getLinkman() {
		return linkman;
	}
	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}
	@Column(DE.Text_de)
	public String getLinkphone() {
		return linkphone;
	}
	public void setLinkphone(String linkphone) {
		this.linkphone = linkphone;
	}
	@Column(DE.Text_de)
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	@Column(DE.Text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(DE.Text_de)
	public String getLogo() {
		return logo;
	}
	public void setLogo(String logo) {
		this.logo = logo;
	}
	
	
}
