package com.ekexiu.portal.platform;

import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

import com.ekexiu.portal.po.Organization;

@ExtendView(fromSentence="ORGANIZATION O INNER JOIN RESIDENT_ORG R ON O.ID = R.OID" ,tableAlias="O")
public class ResidentOrgInfo extends Organization{
	
	private String residentTime;
	private boolean hasOrgLogo;

	public boolean isHasOrgLogo() {
		return hasOrgLogo;
	}

	public void setHasOrgLogo(boolean hasOrgLogo) {
		this.hasOrgLogo = hasOrgLogo;
	}
	@CalcColumn(column="R.CREATE_TIME RESIDENT_TIME",handlerClass=StringHandler.class)
	public String getResidentTime() {
		return residentTime;
	}

	public void setResidentTime(String residentTime) {
		this.residentTime = residentTime;
	}
}
