package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;
import com.ekexiu.portal.pojo.EditProfessor;

@Table
@Uniques(@Unique(clolumns = { "resourceId", "professorId" }, name = "ORG_RES_STAFF_UQ"))
public class OrgResStaff implements CreateTimeSupported {
	private String resourceId;
	private String professorId;
	private String createTime;
	private EditProfessor professor;
	public EditProfessor getProfessor() {
		return professor;
	}
	public void setProfessor(EditProfessor professor) {
		this.professor = professor;
	}
	@Column(DE.id_32)
	public String getResourceId() {
		return resourceId;
	}
	public void setResourceId(String resourceId) {
		this.resourceId = resourceId;
	}
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
}
