package com.ekexiu.portal.pojo;

import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

import com.ekexiu.portal.po.Ppaper;

@ExtendView(fromSentence = "PPAPER P INNER JOIN PAPER_AUTHOR A ON P.ID=A.PAPER_ID", tableAlias = "P")
public class AssedPaper extends Ppaper {
	
	private String professorId;
	private String authorName;
	private String assTime;
	
	@CalcColumn(column = "A.PROFESSOR_ID PROFESSOR_ID",handlerClass=FixLenStringHandler.class,nullable=false)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	@CalcColumn(column = "A.NAME AUTHOR_NAME",handlerClass=StringHandler.class,nullable=false)
	public String getAuthorName() {
		return authorName;
	}
	public void setAuthorName(String authorName) {
		this.authorName = authorName;
	}
	@CalcColumn(column="A.ASS_TIME ASS_TIME",handlerClass=StringHandler.class,nullable=false)
	public String getAssTime() {
		return assTime;
	}
	public void setAssTime(String assTime) {
		this.assTime = assTime;
	}
	
	
}
