package com.ekexiu.portal.util;

import java.sql.Connection;
import java.util.List;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.AfterCommit;
import org.jfw.apt.web.annotation.param.JdbcConn;

import com.ekexiu.push.service.PushService;

@Path("/debug")
public class DebugService {
	@Autowrie
	private PushService pushService;
	
	
	public PushService getPushService() {
		return pushService;
	}


	public void setPushService(PushService pushService) {
		this.pushService = pushService;
	}


	@Get
	@Post
	@Path("/msg/send")
	public void sendMsg(String to,String cnt){
		WebMsgSocketServlet.sendMessage(to, cnt);
	}
	@Get
	@Post
	@Path("/push")
	public void send(@Nullable String alias,@Nullable String[] tag,String title,String cnt,@Nullable String json){
		if(alias!=null){
			pushService.pushWithAlias(title, cnt, json, alias);
		}else{
			pushService.pushWithTag(title, cnt, json, tag);
		}
		
	}
	@Get
	@Path("/ssssssssssssss")
	public void send(@JdbcConn(true) Connection con,@AfterCommit List<Runnable> runs){}
}
