package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import com.ekexiu.portal.po.Complain;

@DAO
public abstract class ComplainDao {
	@Insert
	public abstract int insert(Connection con, Complain complain) throws SQLException;
	
	@SelectList
	public abstract List<Complain> query(Connection con, @Nullable Integer complainType) throws SQLException;
	
	@SelectList
	public abstract List<Complain> queryPro(Connection con, String professorId) throws SQLException;
}
