package com.ekexiu.portal.msg;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey( { "sender","reciver","sendTime" })
@Table
public class WebMsgCnt {

	private String cnt;
	private String sendTime;
	private String sender;
	private String reciver;
	private boolean readed;
	
	
	/**
	 * 消息内容
	 * @return
	 */
	@Column(DE.text_de)
	public String getCnt() {
		return cnt;
	}
	public void setCnt(String cnt) {
		this.cnt = cnt;
	}
	
	@Column(DE.text_de)
	public String getSendTime() {
		return sendTime;
	}
	public void setSendTime(String sendTime) {
		this.sendTime = sendTime;
	}
	@Column(DE.text_de)
	public String getSender() {
		return sender;
	}
	public void setSender(String sender) {
		this.sender = sender;
	}
	@Column(DE.text_de)
	public String getReciver() {
		return reciver;
	}
	public void setReciver(String reciver) {
		this.reciver = reciver;
	}
	/**
	 * 是否已读
	 * @return
	 */
	@Column(DE.boolean_de)
	public boolean isReaded() {
		return readed;
	}
	public void setReaded(boolean readed) {
		this.readed = readed;
	}
}
