package com.ekexiu.portal.po;

import java.util.List;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@Table
@PrimaryKey("serviceLogId")
public class OperateServiceLog implements CreateTimeSupported {
	private String serviceLogId;
	private String serviceUser;
	private String servant;
	private String serviceContent;
	private String createTime;
	private List<OperateServiceFile> operateServiceFiles;
	
	public List<OperateServiceFile> getOperateServiceFiles() {
		return operateServiceFiles;
	}
	public void setOperateServiceFiles(List<OperateServiceFile> operateServiceFiles) {
		this.operateServiceFiles = operateServiceFiles;
	}
	
	@Column(DE.id_32)
	public String getServiceLogId() {
		return serviceLogId;
	}
	public void setServiceLogId(String serviceLogId) {
		this.serviceLogId = serviceLogId;
	}
	
	@Column(DE.id_32)
	public String getServiceUser() {
		return serviceUser;
	}
	public void setServiceUser(String serviceUser) {
		this.serviceUser = serviceUser;
	}
	
	@Column(DE.String_de)
	public String getServant() {
		return servant;
	}
	public void setServant(String servant) {
		this.servant = servant;
	}
	
	@Column(DE.String_de)
	public String getServiceContent() {
		return serviceContent;
	}
	public void setServiceContent(String serviceContent) {
		this.serviceContent = serviceContent;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
}
